summaryrefslogtreecommitdiffstats
path: root/xulrunner.sh.in
diff options
context:
space:
mode:
authorRemi Collet <fedora@famillecollet.com>2011-12-22 16:25:40 +0100
committerRemi Collet <fedora@famillecollet.com>2011-12-22 16:25:40 +0100
commit50ba783d626f105f24a2f2b81f96bf766209b376 (patch)
tree73c42bf76d7f6a0797af67a8216c8e6f64db199e /xulrunner.sh.in
clean layout
Diffstat (limited to 'xulrunner.sh.in')
-rw-r--r--xulrunner.sh.in69
1 files changed, 69 insertions, 0 deletions
diff --git a/xulrunner.sh.in b/xulrunner.sh.in
new file mode 100644
index 0000000..8f76b27
--- /dev/null
+++ b/xulrunner.sh.in
@@ -0,0 +1,69 @@
+#!/bin/sh
+#
+# The contents of this file are subject to the Netscape Public
+# License Version 1.1 (the "License"); you may not use this file
+# except in compliance with the License. You may obtain a copy of
+# the License at http://www.mozilla.org/NPL/
+#
+# Software distributed under the License is distributed on an "AS
+# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
+# implied. See the License for the specific language governing
+# rights and limitations under the License.
+#
+# The Original Code is mozilla.org code.
+#
+# The Initial Developer of the Original Code is Netscape
+# Communications Corporation. Portions created by Netscape are
+# Copyright (C) 1998 Netscape Communications Corporation. All
+# Rights Reserved.
+#
+# Contributor(s):
+#
+
+##
+## Usage:
+##
+## $ xulrunner
+##
+## This script is meant to run a xulrunner program from the xulrunner
+## rpm installation.
+##
+
+cmdname=`basename $0`
+
+##
+## Variables
+##
+XUL_ARCH=$(uname -m)
+case $XUL_ARCH in
+ x86_64 | ia64 | s390 )
+ XUL_LIB_DIR="/usr/lib64"
+ SECONDARY_LIB_DIR="/usr/lib"
+ ;;
+ * )
+ XUL_LIB_DIR="/usr/lib"
+ SECONDARY_LIB_DIR="/usr/lib64"
+ ;;
+esac
+
+if [ ! -x $XUL_LIB_DIR/xulrunner-XULRUNNER_VERSION/xulrunner ]; then
+ if [ ! -x $SECONDARY_LIB_DIR/xulrunner-XULRUNNER_VERSION/xulrunner ]; then
+ echo "Error: $XUL_LIB_DIR/xulrunner-XULRUNNER_VERSION/xulrunner not found"
+ if [ -d $SECONDARY_LIB_DIR ]; then
+ echo " $SECONDARY_LIB_DIR/xulrunner-XULRUNNER_VERSION/xulrunner not found"
+ fi
+ exit 1
+ fi
+ XUL_LIB_DIR="$SECONDARY_LIB_DIR"
+fi
+XUL_DIST_BIN="$XUL_LIB_DIR/xulrunner-XULRUNNER_VERSION"
+XUL_PROGRAM="$XUL_DIST_BIN/xulrunner"
+
+##
+## Enable WebGL
+##
+MOZ_GLX_IGNORE_BLACKLIST=1
+export MOZ_GLX_IGNORE_BLACKLIST
+
+
+exec $XUL_PROGRAM "$@"